# Haskell package name
%define pkg_name HTTP
# Haskell compiler
%define ghc_version 6.10.1

%define pkg_libdir %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
%define pkg_docdir %{_docdir}/ghc/libraries/%{pkg_name}
# Haskell compilers do not emit debug information
%define debug_package %{nil}

Name:		ghc-%{pkg_name}
Version:	3001.1.4
Release:	1%{?dist}
Summary:	HTTP library for Haskell

Group:		Development/Libraries
License:	BSD
URL:		http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:	http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ghc = %{ghc_version}, ghc-prof
Requires:	ghc = %{ghc_version}
Requires(pre): ghc
Requires(preun): ghc
Requires(post): ghc
Requires(postun): ghc

%description
A Haskell library for client-side HTTP.


%package prof
Summary: Profiling libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}

%description prof
This package contains profiling libraries for ghc %{ghc_version}.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%cabal_configure -p --ghc
%cabal_build
%cabal_haddock
%ghc_gen_scripts


%install
rm -rf ${RPM_BUILD_ROOT}
%cabal_install
%ghc_install_scripts
%ghc_gen_filelists %{name}

cd ${RPM_BUILD_ROOT}/%{_docdir}/%{name}-%{version}
rm -rf doc LICENSE README


%clean
rm -rf $RPM_BUILD_ROOT


%pre 
%ghc_preinst_script


%post 
%ghc_postinst_script
%ghc_reindex_haddock


%preun 
%ghc_preun_script


%postun 
%ghc_postun_script
%ghc_reindex_haddock


%files  -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE README
%{pkg_docdir}


%files -n %{name}-prof -f %{name}-prof.files
%defattr(-,root,root,-)
%doc LICENSE


%changelog
* Mon Nov 10 2008 Jens Petersen <petersen@redhat.com> - 3001.1.4-1
- initial packaging for fedora
